/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.tutorial.clustering.bean;

import javax.ejb.Stateful;
import javax.ejb.Remote;
import org.jboss.annotation.ejb.Clustered;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.4.2.4 $
 */
@Stateful
@Clustered
@Remote(StatefulRemote.class)
public class StatefulBean implements java.io.Serializable, StatefulRemote
{
   private int state = 0;

   public void increment()
   {
      System.out.println("counter: " + (++state));
   }
   
   public String toString()
   {
      return super.toString() + " state-(" + state + ")";
   }
}
